---
updatedAt: 2026-10-01T12:12:31.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Rescore transaction

# Overview

Use this method to rescore the specified transaction.

You can also rescore transactions from the [Dashboard](https://cockpit.sumsub.com/checkus/#/kyt/txns). Click the menu button to the right of the required transaction, and select **Rescore**.

<Callout icon="❗️" theme="error">
  ### Attention

  Maximum number of allowed rescoring attempts is **200**.
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **Manage TM transactions - Decisions** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Use case

Rescoring is useful in cases when the transaction data or rules change. Once the method is applied, the system processes the new data and updates the transaction score accordingly.

## Request example

```curl
curl -X POST \
     'https://api.sumsub.com/resources/kyt/txns/631f268442d8290001e00000/-/score' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response is a JSON file that represents the full and structured transaction data. See the response structure and possible content with descriptions on [this page](https://docs.sumsub.com/sumsub/reference/get-transaction#response-explained).

## Response example

```json
{
  "id": "66335d9a243caf315d800000",
  "applicantId": "662edfdb7a26397a65d00000",
  "externalUserId": "PlatformEvent0001",
  "clientId": "korban.inc",
  "data": {
    "txnId": "general0001",
    "txnDate": "2024-04-29 02:30:12+0000",
    "applicant": {
      "externalUserId": "PlatformEvent0001",
      "fullName": "Users Fullname",
      "address": {
        "flatNumber": "usersAddFlatNumber",
        "subStreet": "usersAddSbSt",
        "street": "usersAddSt",
        "state": "usersAddState",
        "buildingNumber": "usersAddBuildNum",
        "town": "usersAddressTown",
        "postCode": "000000",
        "country": "CAN",
        "formattedAddress": "usersAddSt, usersAddSbSt usersAddBuildNum usersAddFlatNumber, usersAddressTown, usersAddState, Canada, 000000"
      },
      "type": "individual",
      "device": {
        "ipInfo": {
          "ip": "242.1.1",
          "riskyAsn": false
        },
        "userAgent": "usersDeviceUA",
        "sessionId": "usersDeviceSesId",
        "sessionAgeMs": 18,
        "acceptLang": "en",
        "coords": {
          "lat": -1.7976931348623157,
          "lon": 1.7976931348623157,
          "accuracy": 10
        },
        "fingerprint": "usersDeviceFing"
      }
    },
    "type": "userPlatformEvent",
    "userPlatformEventInfo": {
      "type": "general"
    }
  },
  "score": 0,
  "review": {
    "reviewId": "XvSHf",
    "attemptId": "QaUMN",
    "attemptCnt": 1,
    "elapsedSincePendingMs": 149,
    "elapsedSinceQueuedMs": 149,
    "createDate": "2024-05-02 09:32:10+0000",
    "reviewResult": {
      "reviewAnswer": "GREEN"
    },
    "reviewStatus": "completed"
  },
  "createdAt": "2024-05-02 09:32:10+0000",
  "scoringResult": {
    "score": 0,
    "dryScore": 0,
    "matchedRules": [
      {
        "id": "6602a0f43d40c8131dc4e17a",
        "name": "AFP1-agg-beh-eve-for-user-pla-eve-BBKP",
        "revision": 1,
        "title": "Aggregate behavioral events for user platform events",
        "score": 0,
        "dryRun": false,
        "action": "score",
        "stage": "pre",
        "preScoringRunnerType": "behavioralEvents"
      }
    ],
    "action": "score",
    "ruleCnt": 2,
    "dryRunRuleCnt": 0,
    "tagScores": []
  },
  "typedTags": [],
  "txnInactive": false
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/kyt/txns/{id}/-/score": {
      "post": {
        "summary": "Rescore transaction",
        "description": "",
        "operationId": "re-score-transaction",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique transaction identifier in the Sumsub system. <br><br>This ID is returned in the [response](https://docs.sumsub.com/reference/get-transaction#root-variables) to this request and a webhook (`kytTxnId`). Save it for future use in subsequent API calls. Alternatively, you can get this identifier by the [following method](https://docs.sumsub.com/sumsub/reference/get-transaction-information-by-txnid).",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```